/* Generated By:JavaCC: Do not edit this line. TestParserConstants.java */

/**
 * Token literal values and constants.
 * Generated by org.javacc.parser.OtherFilesGen#start()
 */
public interface TestParserConstants {

  /** End of File. */
  int EOF = 0;
  /** RegularExpression Id. */
  int PLUS = 6;
  /** RegularExpression Id. */
  int MINUS = 7;
  /** RegularExpression Id. */
  int MULTIPLY = 8;
  /** RegularExpression Id. */
  int DIVIDE = 9;
  /** RegularExpression Id. */
  int LOGIC = 10;
  /** RegularExpression Id. */
  int INC = 11;
  /** RegularExpression Id. */
  int DEC = 12;
  /** RegularExpression Id. */
  int OVERLOOP = 13;
  /** RegularExpression Id. */
  int IF = 14;
  /** RegularExpression Id. */
  int OTHER = 15;
  /** RegularExpression Id. */
  int OTHER_IF = 16;
  /** RegularExpression Id. */
  int LET = 17;
  /** RegularExpression Id. */
  int AS = 18;
  /** RegularExpression Id. */
  int WRITE = 19;
  /** RegularExpression Id. */
  int READ = 20;
  /** RegularExpression Id. */
  int AS_LONG = 21;
  /** RegularExpression Id. */
  int ITERATE = 22;
  /** RegularExpression Id. */
  int IN = 23;
  /** RegularExpression Id. */
  int TO = 24;
  /** RegularExpression Id. */
  int SWITCH = 25;
  /** RegularExpression Id. */
  int END = 26;
  /** RegularExpression Id. */
  int TYPE = 27;
  /** RegularExpression Id. */
  int CONCAT = 28;
  /** RegularExpression Id. */
  int QUOTATION = 29;
  /** RegularExpression Id. */
  int DOTS = 30;
  /** RegularExpression Id. */
  int COMMA = 31;
  /** RegularExpression Id. */
  int OP_PARAN = 32;
  /** RegularExpression Id. */
  int ED_PARAN = 33;
  /** RegularExpression Id. */
  int OP_BRACE = 34;
  /** RegularExpression Id. */
  int ED_BRACE = 35;
  /** RegularExpression Id. */
  int OP_BRACT = 36;
  /** RegularExpression Id. */
  int ED_BRACT = 37;
  /** RegularExpression Id. */
  int CASE_END = 38;
  /** RegularExpression Id. */
  int DIGIT = 39;
  /** RegularExpression Id. */
  int CHAR = 40;
  /** RegularExpression Id. */
  int NUMBER = 41;
  /** RegularExpression Id. */
  int VAR = 42;
  /** RegularExpression Id. */
  int STRING = 43;
  /** RegularExpression Id. */
  int OPERATION = 44;
  /** RegularExpression Id. */
  int ASSIGN = 45;
  /** RegularExpression Id. */
  int EOL = 46;

  /** Lexical state. */
  int DEFAULT = 0;

  /** Literal token values. */
  String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\r\"",
    "\"\\t\"",
    "\"\\n\"",
    "\".toString()\"",
    "\"+\"",
    "\"-\"",
    "\"*\"",
    "\"/\"",
    "<LOGIC>",
    "\"++\"",
    "\"--\"",
    "<OVERLOOP>",
    "\"if\"",
    "\"other\"",
    "\"otherIf\"",
    "\"let\"",
    "\"as\"",
    "\"WriteTo\"",
    "\"ReadFrom(io.console)\"",
    "\"as long\"",
    "<ITERATE>",
    "\"in\"",
    "\"to\"",
    "\"cases\"",
    "\"end\"",
    "<TYPE>",
    "\"!!\"",
    "\"\\\"\"",
    "\":\"",
    "\",\"",
    "\"(\"",
    "\")\"",
    "\"{\"",
    "\"}\"",
    "\"[\"",
    "\"]\"",
    "\"[]:\"",
    "<DIGIT>",
    "<CHAR>",
    "<NUMBER>",
    "<VAR>",
    "<STRING>",
    "<OPERATION>",
    "\"!=\"",
    "\".\"",
  };

}
